import Vue from 'vue'

// base library
const antd = require('ant-design-vue')
require('ant-design-vue/dist/antd.less')

import Viser from 'viser-vue'

// ext library
import VueCropper from 'vue-cropper'
import Dialog from '@/components/Dialog'
import MultiTab from '@/components/MultiTab'
import PageLoading from '@/components/PageLoading'
import PermissionHelper from '@/core/permission/permission'
import PlgIcon from '@/components/PlgIcon'
import './directives/action'

/* 设置spin */
antd.Spin.setDefaultIndicator({
  indicator: (h) => {
    return <img src="/load.gif" style="width:50px;height:50px;transform:translate(-50%,-50%);" />
  },
})

Vue.use(antd)

Vue.use(PlgIcon)
Vue.use(Dialog) // this.$dialog func
Vue.use(MultiTab)
Vue.use(PageLoading)
Vue.use(PermissionHelper)
Vue.use(VueCropper)

Vue.use(Viser)

//process.env.NODE_ENV !== 'production' && console.warn('[prolog-pro] NOTICE: plg use lazy-load.')
